# Class LogEvent

java.lang.Object
com.databricks.jdbc.model.telemetry.LogEvent

public class LogEvent extends Object

## Constructor Summary

Constructors
Constructor
Description
`LogEvent()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getStatementId()`
`LogEvent`
`setStatementId(String statementId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LogEvent

public LogEvent()

## Method Details

### getStatementId

public String getStatementId()

### setStatementId

public LogEvent setStatementId(String statementId)